#include "LocalSyslogJNI.h"
#include <syslog.h>

JNIEXPORT void JNICALL Java_LocalSyslogJNI_openLog
  (JNIEnv *env, jobject obj, jstring ident, jint option, jint facility)
{
  const char *cpp_ident = env->GetStringUTFChars(ident, NULL);
  openlog(cpp_ident, option, facility);
}

JNIEXPORT void JNICALL Java_LocalSyslogJNI_syslog
  (JNIEnv *env, jobject obj, jint priority, jstring message)
{
  const char *cpp_message = env->GetStringUTFChars(message, NULL);
  syslog(priority, "%s", cpp_message);
}

JNIEXPORT void JNICALL Java_LocalSyslogJNI_closeLog
  (JNIEnv *env, jobject obj)
{
  closelog();
}
